Not Compatible with R1Soft Backup

Customer support forums for Atomic Protector (formerly Atomic Secured Linux). There is no such thing as a bad question here as long as it pertains to using Atomic Protector. Newbies feel free to get help getting started or asking questions that may be obvious. Regular users are asked to be gentle. :-)
User avatar
webfeatus
Forum Regular
Forum Regular
Posts: 196
Joined: Wed Jan 13, 2010 9:11 am
Location: Bali

Not Compatible with R1Soft Backup

Unread post by webfeatus »

I simply cannot get ASL to work with R1Soft.
The ASL kernel is the issue.

Screenshot: http://nimb.ws/WOLPG3

Is this simply not possible due to kernel updates?
If so, what server backup software is recommended by ASL?
They say that good intentions, pave the road to hell;
If a thing is not worth doing, it's not worth doing well.
User avatar
mikeshinn
Atomicorp Staff - Site Admin
Atomicorp Staff - Site Admin
Posts: 4120
Joined: Thu Feb 07, 2008 7:49 pm
Location: Chantilly, VA

Re: Not Compatible with R1Soft Backup

Unread post by mikeshinn »

Theres nothing unique in ASL that would prevent R1Soft from running. What errors is their software generating? Is their kernel module not loaded?
Imaging
Forum Regular
Forum Regular
Posts: 333
Joined: Sat Sep 25, 2010 2:46 pm

Re: Not Compatible with R1Soft Backup

Unread post by Imaging »

It will run but with a caveat - you need a custom module built for the ASL kernel. Their automated build system would always fail when we tried that way.

We were then able to get it running when they manually built us a custom module for the ASL kernel we had in use.

Unfortunately, it took quite some time and our attempts to get them to build another module for the latest ASL kernel haven't been successful so we are migrating away from it.

We haven't yet found a direct replacement that would work with the ASL kernel out of the box so are using a combination of methods at present.
User avatar
webfeatus
Forum Regular
Forum Regular
Posts: 196
Joined: Wed Jan 13, 2010 9:11 am
Location: Bali

Re: Not Compatible with R1Soft Backup

Unread post by webfeatus »

Any recommendations for a backup system that will work with the ASL kernel?
They say that good intentions, pave the road to hell;
If a thing is not worth doing, it's not worth doing well.
Imaging
Forum Regular
Forum Regular
Posts: 333
Joined: Sat Sep 25, 2010 2:46 pm

Re: Not Compatible with R1Soft Backup

Unread post by Imaging »

It isn't the same type of software as R1Soft but we've been experimenting with:

https://www.borgbackup.org/

An example:

https://www.jamesthebard.net/backing-up-with-borg/
chrismcb
Forum Regular
Forum Regular
Posts: 293
Joined: Tue Nov 23, 2010 7:30 am
Location: Glasgow, UK

Re: Not Compatible with R1Soft Backup

Unread post by chrismcb »

I, too, have the same issue since the latest kernels, but have opted to keep the previous kernel version for now.

I've not gotten round to trying to upgrade again, but it doesn't sound promising if you're still having the same issues I had months ago.


I was in contact with R1Soft (through the company I obtain my licences from) and also directly with Atomicorp - who offered support in the matter, but R1Soft never took up the offer.
User avatar
hostingg
Forum User
Forum User
Posts: 63
Joined: Mon Mar 18, 2013 6:26 pm
Location: Earth

Re: Not Compatible with R1Soft Backup

Unread post by hostingg »

i think its all the acquisitions. r1soft has been bought and sold several times since 2014 and thats rarely good for support.

if you harrass them enough they will make a module for your kernel
If everything was easy, then the world wouldn't need engineers.
Post Reply